Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042057
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-10-17 14:142019-12-12 23:01
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionae87c02f3f80
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042057: It is not possible to unpost an Internal Comsumption

DescriptionWhen trying to unpost an Internal Consumption document, error PeriodClosedForUnPosting is raised, although user was able to post the document (and period is open in reality)

Real problem is that Internal Consumption documents have not Document Type defined (which is mandatory when unposting a document and also when background accounting process post a document)
Steps To Reproduce0. Access Instance Activation window and set valid key, as this is necessary to see Internal Consumption window
1. Access Internal Consumption window and create new document
2. Add line and process document
3. Post document and realize that proper accounting entry is generated
4. Unpost the document and error will be raised
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0015757 closedTriage Finance Be able to post Internal Consumptions 

-  Notes
(0115185)
markmm82 (developer)
2019-10-21 15:24

Test Plan:
0. Access Instance Activation window and set valid key, as this is necessary to see Internal Consumption window
1. Access Internal Consumption window and create new document
2. Add line and process document
3. Post document and realize that proper accounting entry is generated
4. Unpost the document with deleting records option selected and notice an error will be raised:
"Error
 There is not document type defined for table: M_Internal_Consumption"
  Accounting entries still there.
5. Go to Document Type window and create a new one for Internal Consumption:
   Document Category: Material Internal Consumption
   Table: M_Internal_Consumption
6. This time try to unpost the document with deleting records option selected again.
  Notice the process ends successfully without any error.
  Accounting entries were removed.
(0115366)
hgbot (developer)
2019-10-31 08:39

Repository: erp/devel/pi
Changeset: ae87c02f3f800fe5fac5b1fc5b54ffe0d347e534
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Mon Oct 21 10:15:53 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/ae87c02f3f800fe5fac5b1fc5b54ffe0d347e534 [^]

Fixes issue 42057: It is not possible to unpost an Internal Comsumption

If the Internal Consumption documents have not Document Type defined which is mandatory
when unposting a document an exception will be thrown to the user.

Also was included a minor change in the Posted class to set the success message title
after we are sure any exception was thrown to avoid to have an error message with a success
title and cause confusions.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_actionButton/Posted.java
M src/org/openbravo/financial/ResetAccounting.java
---
(0115367)
Sandrahuguet (developer)
2019-10-31 08:40

code review + testing ok
(0116270)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-17 14:14 maite New Issue
2019-10-17 14:14 maite Assigned To => Triage Finance
2019-10-17 14:14 maite Modules => Core
2019-10-17 14:14 maite Triggers an Emergency Pack => No
2019-10-17 14:15 maite Relationship added related to 0015757
2019-10-17 14:18 maite Issue Monitored: networkb
2019-10-17 16:32 Sandrahuguet Assigned To Triage Finance => markmm82
2019-10-21 04:23 markmm82 Status new => scheduled
2019-10-21 15:24 markmm82 Note Added: 0115185
2019-10-31 08:39 hgbot Checkin
2019-10-31 08:39 hgbot Note Added: 0115366
2019-10-31 08:39 hgbot Status scheduled => resolved
2019-10-31 08:39 hgbot Resolution open => fixed
2019-10-31 08:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ae87c02f3f800fe5fac5b1fc5b54ffe0d347e534 [^]
2019-10-31 08:40 Sandrahuguet Review Assigned To => Sandrahuguet
2019-10-31 08:40 Sandrahuguet Note Added: 0115367
2019-10-31 08:40 Sandrahuguet Status resolved => closed
2019-10-31 08:40 Sandrahuguet Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116270


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker